require_relative "nscript/version"
require_relative "nscript/lexer/lexer"
require_relative "nscript/parser/parser"
require_relative "nscript/parser/nodes"
require_relative "nscript/value"
require_relative "nscript/scope"
require_relative "nscript/lexer/rewriter"
require_relative "nscript/parser/parse_error"

module NScript
  def self.compile(script, options={})
    script = script.read if script.respond_to?(:read)
    Parser.new.parse(script).compile(options)
  end
end
